Bug 843130 - RFE kernel: net: mitigate blind reset attacks using RST and SYN bits
RFE kernel: net: mitigate blind reset attacks using RST and SYN bits
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
All Linux
high Severity high
: 2.2.2
: 2.2
Assigned To: Clark Williams
David Sommerseth
: FutureFeature, Security
Depends On: 843126
Blocks: 843129
  Show dependency treegraph
Reported: 2012-07-25 12:24 EDT by Petr Matousek
Modified: 2016-05-22 19:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
* Cause: TCP stack for MRG RT vulnerable to blind-reset attack * Consequence: off-path attacker may inject packets into a TCP stream * Fix: implement RST and SYN components of RFC 5961 * Result: Prevent blind-reset and blind SYN attacks on MRG-RT TCP stack
Story Points: ---
Clone Of: 843126
Last Closed: 2012-12-04 14:58:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-07-25 12:24:19 EDT
+++ This bug was initially created as a clone of Bug #843126 +++

Description of problem:

RHEL is prone to blind reset attacks.
Blind reset attacks together with mitigations are described in RFC 5691.
Please backport the Linux kernel upstream fixes below.

Upstream fixes

Implement the RFC 5691 mitigation against Blind
Reset attack using RST bit.

Upstream Linux kernel commit:
282f23c6ee343126156dd41218b22ece96d747e3 RFC 5961 3.2 Mitigation

Implement the RFC 5691 mitigation against Blind
Reset attack using SYN bit.

Upstream Linux kernel commit:
0c24604b68fc7810d429d6c3657b6f148270e528 RFC 5961 4.2 Mitigation

Followup of commit 0c24604b68fc (tcp: implement RFC 5961 4.2)

Upstream Linux kernel commit:
e371589917011efe6ff8c7dfb4e9e81934ac5855 0c24604b68fc follow up
Comment 2 Beth Uptagrafft 2012-07-25 14:47:25 EDT
Moving this to the next 2.2.x release.  It's too late in our 2.2.0 cycle and will require quite some network testing, as the RFC5961 redefines slightly how to handle some specific RST/SYN situations (per QE).
Comment 3 Clark Williams 2012-11-01 13:19:27 EDT
Cherry-picked above commits for pending 2.2.2 errata
Comment 8 errata-xmlrpc 2012-12-04 14:58:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.